Index: pjproject/trunk/pjlib/build/pjlib.vcxproj.filters
===================================================================
--- pjproject/trunk/pjlib/build/pjlib.vcxproj.filters	(revision 5181)
+++ pjproject/trunk/pjlib/build/pjlib.vcxproj.filters	(revision 5539)
@@ -19,4 +19,10 @@
       <UniqueIdentifier>{4befc994-9aa4-47c8-99e7-5a51301220dd}</UniqueIdentifier>
     </Filter>
+    <Filter Include="Source Files\winrt">
+      <UniqueIdentifier>{4a92fce6-2308-44cf-aa66-00ccd5b333bd}</UniqueIdentifier>
+    </Filter>
+    <Filter Include="Header Files\winrt">
+      <UniqueIdentifier>{3550aa38-c59d-4d5f-b458-1f93e0b16bbd}</UniqueIdentifier>
+    </Filter>
   </ItemGroup>
   <ItemGroup>
@@ -180,39 +186,48 @@
       <Filter>Source Files\Other Targets</Filter>
     </ClCompile>
+    <ClCompile Include="..\src\pj\log_writer_printk.c">
+      <Filter>Source Files\Other Targets</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pj\os_core_linux_kernel.c">
+      <Filter>Source Files\Other Targets</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pj\os_core_unix.c">
+      <Filter>Source Files\Other Targets</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pj\os_error_linux_kernel.c">
+      <Filter>Source Files\Other Targets</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pj\os_error_unix.c">
+      <Filter>Source Files\Other Targets</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pj\os_time_linux_kernel.c">
+      <Filter>Source Files\Other Targets</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pj\os_timestamp_linux.c">
+      <Filter>Source Files\Other Targets</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pj\os_timestamp_linux_kernel.c">
+      <Filter>Source Files\Other Targets</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pj\pool_policy_kmalloc.c">
+      <Filter>Source Files\Other Targets</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pj\sock_linux_kernel.c">
+      <Filter>Source Files\Other Targets</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pj\symbols.c">
+      <Filter>Source Files\Other Targets</Filter>
+    </ClCompile>
+    <ClCompile Include="..\..\third_party\threademulation\src\ThreadEmulation.cpp">
+      <Filter>Source Files\winrt</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pj\ip_helper_winphone8.c">
+      <Filter>Source Files</Filter>
+    </ClCompile>
     <ClCompile Include="..\src\pj\ip_helper_generic.c">
-      <Filter>Source Files\Other Targets</Filter>
-    </ClCompile>
-    <ClCompile Include="..\src\pj\log_writer_printk.c">
-      <Filter>Source Files\Other Targets</Filter>
-    </ClCompile>
-    <ClCompile Include="..\src\pj\os_core_linux_kernel.c">
-      <Filter>Source Files\Other Targets</Filter>
-    </ClCompile>
-    <ClCompile Include="..\src\pj\os_core_unix.c">
-      <Filter>Source Files\Other Targets</Filter>
-    </ClCompile>
-    <ClCompile Include="..\src\pj\os_error_linux_kernel.c">
-      <Filter>Source Files\Other Targets</Filter>
-    </ClCompile>
-    <ClCompile Include="..\src\pj\os_error_unix.c">
-      <Filter>Source Files\Other Targets</Filter>
-    </ClCompile>
-    <ClCompile Include="..\src\pj\os_time_linux_kernel.c">
-      <Filter>Source Files\Other Targets</Filter>
-    </ClCompile>
-    <ClCompile Include="..\src\pj\os_timestamp_linux.c">
-      <Filter>Source Files\Other Targets</Filter>
-    </ClCompile>
-    <ClCompile Include="..\src\pj\os_timestamp_linux_kernel.c">
-      <Filter>Source Files\Other Targets</Filter>
-    </ClCompile>
-    <ClCompile Include="..\src\pj\pool_policy_kmalloc.c">
-      <Filter>Source Files\Other Targets</Filter>
-    </ClCompile>
-    <ClCompile Include="..\src\pj\sock_linux_kernel.c">
-      <Filter>Source Files\Other Targets</Filter>
-    </ClCompile>
-    <ClCompile Include="..\src\pj\symbols.c">
-      <Filter>Source Files\Other Targets</Filter>
+      <Filter>Source Files</Filter>
+    </ClCompile>
+    <ClCompile Include="..\src\pj\ip_helper_generic.c">
+      <Filter>Source Files</Filter>
     </ClCompile>
   </ItemGroup>
@@ -248,7 +263,4 @@
       <Filter>Header Files</Filter>
     </ClInclude>
-    <ClInclude Include="..\include\pj\equeue.h">
-      <Filter>Header Files</Filter>
-    </ClInclude>
     <ClInclude Include="..\include\pj\errno.h">
       <Filter>Header Files</Filter>
@@ -408,7 +420,4 @@
     </ClInclude>
     <ClInclude Include="..\include\pj\compat\time.h">
-      <Filter>Header Files\compat</Filter>
-    </ClInclude>
-    <ClInclude Include="..\include\pj\compat\vsprintf.h">
       <Filter>Header Files\compat</Filter>
     </ClInclude>
@@ -422,4 +431,13 @@
       <Filter>Inline Files</Filter>
     </ClInclude>
+    <ClInclude Include="..\include\pj\compat\os_winphone8.h">
+      <Filter>Header Files\compat</Filter>
+    </ClInclude>
+    <ClInclude Include="..\..\third_party\threademulation\include\ThreadEmulation.h">
+      <Filter>Header Files\winrt</Filter>
+    </ClInclude>
+    <ClInclude Include="..\include\pj\compat\os_winuwp.h">
+      <Filter>Header Files\compat</Filter>
+    </ClInclude>
   </ItemGroup>
 </Project>
